View Issue Details

IDProjectCategoryView StatusLast Update
0009166Multi Theft Auto : San AndreasClientpublic2018-07-14 01:24
ReporterqaisjpAssigned Toccw 
PrioritynormalSeveritytrivialReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.5.1 
Target Version1.5.6Fixed in Version1.5.6 
Summary0009166: Console displays an error message when pressing the key of a disabled MTA control
Description

Based on content from #6620:

So basically, the third parameter [?] which is set to true is supposed to disable MTA Controls such as chatbox, voiceptt, and enter_passenger.

It works, but when you attempt to push any of the MTA keys, the console shows an error message.

Steps To Reproduce

From Arran's comment on #6620:

crun toggleControl("chatbox", false)
Press your chat key
Open console
"Unknown command or cvar: chatbox"

TagsNo tags attached.

Relationships

has duplicate 0006620 closed Multi Theft Auto : San Andreas Console is spammed when pressing a disabled MTA key 
has duplicate 0009538 closed New issues Pressing F11 outputs "Unknown command or cvar: radar" to Console 

Activities

arranTuna

2018-05-03 12:43

manager   ~~0026516

Unknown command or cvar: radar

Can someone please just comment out the line that outputs this message? All it does is spam the console. We now have a custom F11 so had to toggleControl("radar", false) and that just causes annoying console spam.

ccw

2018-05-10 20:46

administrator   ~~0026521

Fixed in https://github.com/multitheftauto/mtasa-blue/commit/23dadffbf9d93cf94e22c6de0763f59d9042fe68

Issue History

Date Modified Username Field Change